Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 148262 - Disable code completion in the HQL editor
Disable code completion in the HQL editor
Status: RESOLVED WONTFIX
Product: javaee
Classification: Unclassified
Component: Hibernate
6.x
All Mac OS X
: P3 (vote)
: 6.x
Assigned To: Vadiraj Deshpande
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 16:34 UTC by Jan Horvath
Modified: 2008-11-20 09:23 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Horvath 2008-09-24 16:34:51 UTC
CC in the HQL editor is completely useless and should be disabled because it offers 3 keyword in every context.
Comment 1 Vadiraj Deshpande 2008-10-01 20:22:13 UTC
Fixed..
Disabled CC in HQL Editor.
http://hg.netbeans.org/main/rev/482e33a6e363
Comment 2 Martin Fousek 2008-10-03 09:18:27 UTC
CC isn't disabled only has no words. So when I invoke code completion, it appears "no suggestion".

I propose remove completely CC in HQL editor.
Comment 3 Jayashri Visvanathan 2008-10-13 21:17:14 UTC
Vadiraj's careful evaluation has revealed that its not straight forward to disable "No suggestion" message window and
the fix is not low risk enough to be checked in so close to code freeze.  So we'll take this up in the next release.
Downgrading to a P3 since it does not affect any functionality. We'll document this in the appropriate forum about code
completion not being a supported feature in 6.5.
Comment 4 Vadiraj Deshpande 2008-11-20 09:23:04 UTC
HQL Editor enhancements are scheduled for 7.0 as here : http://wiki.netbeans.org/HibernateSupportHQLEditorOnePager.
Won't fix this issue as we need to provide CC.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo